Ad
14: 2018-05-16 (水) 01:43:17 njf ソース バックアップ No.14 を復元して編集 現: 2018-05-26 (土) 00:17:58 njf ソース 編集
Line 1: Line 1:
*はじめに [#z941726c] *はじめに [#z941726c]
-&font(Red){重要:ここで使っている「Experimental Plugin」は2017年10月に出たversion 0.11.0より後ではサポートされなくなりました。よってここに書いた方法も、使えなくなりました。CMakeを使うと簡単に移行できるようになったので、そのうちその記事も書く予定です。&br;};+&font(Red){重要:ここで使っている「Experimental Plugin」は2017年10月に出たversion 0.11.0より後ではサポートされなくなりました。よってこのページの「gradle関連の修正」の章に書いた方法も、使えなくなりました。この章の代わりに[[cocos2d-x/ver2系CMakeを使ってAndroid Studioに移行する]]を参考にしてください。他の章はおそらく2018年現在、まだある程度正しいと思います。};
cocos2d-xがver3になってからかなり経ちますが、2から3への移行は大変なため、まだまだ以前作った物をver2で管理しています。さらにeclipseでのAndroid開発の公式サポートが終わり、openSSLなどの更新の催促、広告SDKの更新などもあり、否が応でもeclipseで開発していたcocos2d-x ver2系のAndroidプロジェクトをAndroid Studioに移さなくてはいけなくなってきました。 cocos2d-xがver3になってからかなり経ちますが、2から3への移行は大変なため、まだまだ以前作った物をver2で管理しています。さらにeclipseでのAndroid開発の公式サポートが終わり、openSSLなどの更新の催促、広告SDKの更新などもあり、否が応でもeclipseで開発していたcocos2d-x ver2系のAndroidプロジェクトをAndroid Studioに移さなくてはいけなくなってきました。
Line 67: Line 67:
*gradle関連の修正 [#n09f94ff] *gradle関連の修正 [#n09f94ff]
 +&font(Red){重要:ここで使っている「Experimental Plugin」は2017年10月に出たversion 0.11.0より後ではサポートされなくなりました。よってここに書いた方法も、使えなくなりました。CMakeを使うと簡単に移行できるので、以下の記事でそれを解説しています};
 +
 +[[cocos2d-x/ver2系CMakeを使ってAndroid Studioに移行する]]
 +
 +&font(Red){CMakeを使う場合は、上の記事を参考にしてこの章は飛ばしてください。};
Android Studioにインポートすると以下のようなエラーが出ます。 Android Studioにインポートすると以下のようなエラーが出ます。
Line 115: Line 120:
       compileSdkVersion 24        compileSdkVersion 24
       buildToolsVersion "24.0.0"        buildToolsVersion "24.0.0"
 + 
       defaultConfig {        defaultConfig {
           applicationId "jp.njf.MyGame"            applicationId "jp.njf.MyGame"
           minSdkVersion.apiLevel 10            minSdkVersion.apiLevel 10
           targetSdkVersion.apiLevel 22            targetSdkVersion.apiLevel 22
 + 
           ndk {            ndk {
               moduleName "game_shared"                moduleName "game_shared"
           }            }
       }        }
 + 
       buildTypes {        buildTypes {
           release {            release {
Line 142: Line 147:
 apply plugin: 'com.android.model.library'  apply plugin: 'com.android.model.library'
 + 
 buildscript {  buildscript {
     repositories {      repositories {
         jcenter()          jcenter()
     }      }
 + 
     dependencies {      dependencies {
         classpath 'com.android.tools.build:gradle:1.3.1'          classpath 'com.android.tools.build:gradle:1.3.1'
     }      }
 }  }
 + 
 dependencies {  dependencies {
     compile 'com.google.android.gms:play-services-plus:9.+'      compile 'com.google.android.gms:play-services-plus:9.+'


トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード印刷に適した表示   ページ新規作成 全ページ一覧 単語検索 最新ページの一覧   ヘルプ   最新ページのRSS 1.0 最新ページのRSS 2.0 最新ページのRSS Atom Powered by xpWiki
Counter: 1316, today: 2, yesterday: 0
広告

ログイン

ユーザー名:


パスワード:





パスワード紛失


NJF